org.jboss.shrinkwrap.descriptor.api.javaee7

## Interface ParamValueType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface ParamValueType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `param-valueType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParamValueType<T>` | `description(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
    `java.util.List<java.lang.String>` | `getAllDescription()` Returns all `description` elements
    `java.lang.String` | `getId()` Returns the `id` attribute
    `java.lang.String` | `getParamName()` Returns the `param-name` element
    `java.lang.String` | `getParamValue()` Returns the `param-value` element
    `ParamValueType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `ParamValueType<T>` | `paramName(java.lang.String paramName)` Sets the `param-name` element
    `ParamValueType<T>` | `paramValue(java.lang.String paramValue)` Sets the `param-value` element
    `ParamValueType<T>` | `removeAllDescription()` Removes the `description` element
    `ParamValueType<T>` | `removeId()` Removes the `id` attribute
    `ParamValueType<T>` | `removeParamName()` Removes the `param-name` element
    `ParamValueType<T>` | `removeParamValue()` Removes the `param-value` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### description

          ParamValueType<T> description(java.lang.String... values)

      Creates for all String objects representing `description` elements, a new `description` element
      Parameters:
        `values` - list of `description` objects
      Returns:
        the current instance of `ParamValueType`

    - #### getAllDescription

          java.util.List<java.lang.String> getAllDescription()

      Returns all `description` elements
      Returns:
        list of `description`

    - #### removeAllDescription

          ParamValueType<T> removeAllDescription()

      Removes the `description` element
      Returns:
        the current instance of `ParamValueType`

    - #### paramName

          ParamValueType<T> paramName(java.lang.String paramName)

      Sets the `param-name` element
      Parameters:
        `paramName` - the value for the element `param-name`
      Returns:
        the current instance of `ParamValueType`

    - #### getParamName

          java.lang.String getParamName()

      Returns the `param-name` element
      Returns:
        the node defined for the element `param-name`

    - #### removeParamName

          ParamValueType<T> removeParamName()

      Removes the `param-name` element
      Returns:
        the current instance of `ParamValueType`

    - #### paramValue

          ParamValueType<T> paramValue(java.lang.String paramValue)

      Sets the `param-value` element
      Parameters:
        `paramValue` - the value for the element `param-value`
      Returns:
        the current instance of `ParamValueType`

    - #### getParamValue

          java.lang.String getParamValue()

      Returns the `param-value` element
      Returns:
        the node defined for the element `param-value`

    - #### removeParamValue

          ParamValueType<T> removeParamValue()

      Removes the `param-value` element
      Returns:
        the current instance of `ParamValueType`

    - #### id

          ParamValueType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `ParamValueType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          ParamValueType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `ParamValueType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)